
/* Chrysalide - Outil d'analyse de fichiers binaires
 * translate.h - prototypes pour les environnements de traduction d'instructions
 *
 * Copyright (C) 2010 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ARCH_TRANSLATE_H
#define _ARCH_TRANSLATE_H


#include "instruction.h"
#include "../decomp/context.h"
#include "../decomp/instruction.h"



/* Décompile une instruction quelconque. */
typedef GDecInstruction * (* decomp_instr_fc) (const GArchInstruction *, GDecContext *);



#endif  /* _ANALYSIS_DECOMP_RTL_TRANSLATE_H */
